<?php

namespace KupShop\OrderingBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use KupShop\I18nBundle\Entity\Currency;

/**
 * DeliveryTypeDelivery.
 *
 * @ORM\Table(name="delivery_type_delivery", uniqueConstraints={@ORM\UniqueConstraint(name="name", columns={"name"})})
 *
 * @ORM\Entity
 */
class DeliveryTypeDelivery
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     *
     * @ORM\Id
     *
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=50, nullable=false)
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(name="price", type="decimal", precision=15, scale=4, nullable=false)
     */
    private $price = '0.0000';

    /**
     * @var Currency
     *
     * dělá průšvih když není zapnutej i18n bundle
     * ORM\ManyToOne(targetEntity="KupShop\I18nBundle\Entity\Currency")
     * ORM\JoinColumn(name="id_currency", referencedColumnName="id", onDelete="CASCADE", nullable=false)
     */
    private $currency;

    /**
     * @var string
     *
     * @ORM\Column(name="photo", type="string", length=50, nullable=true)
     */
    private $photo;

    /**
     * @var int
     *
     * @ORM\Column(name="time_days", type="integer", nullable=true)
     */
    private $timeDays;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="time_hours", type="time", nullable=true)
     */
    private $timeHours;

    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id)
    {
        $this->id = $id;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name)
    {
        $this->name = $name;
    }

    public function getPrice(): string
    {
        return $this->price;
    }

    public function setPrice(string $price)
    {
        $this->price = $price;
    }

    public function getCurrency(): Currency
    {
        return $this->currency;
    }

    public function setCurrency(Currency $currency)
    {
        $this->currency = $currency;
    }

    public function getPhoto(): string
    {
        return $this->photo;
    }

    public function setPhoto(string $photo)
    {
        $this->photo = $photo;
    }

    public function getTimeDays(): int
    {
        return $this->timeDays;
    }

    public function setTimeDays(int $timeDays)
    {
        $this->timeDays = $timeDays;
    }

    public function getTimeHours(): \DateTime
    {
        return $this->timeHours;
    }

    public function setTimeHours(\DateTime $timeHours)
    {
        $this->timeHours = $timeHours;
    }

    public function getCountries(): string
    {
        return $this->countries;
    }

    public function setCountries(string $countries)
    {
        $this->countries = $countries;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function setDescription(string $description)
    {
        $this->description = $description;
    }

    /**
     * @var string
     *
     * @ORM\Column(name="countries", type="string", length=200, nullable=true)
     */
    private $countries;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text", length=16777215, nullable=true)
     */
    private $description;
}
